osl::game_playing::ComputerPlayer Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Attributes | List of all members
osl::game_playing::ComputerPlayer Class Referenceabstract

`#include <computerPlayer.h>`

Inheritance diagram for osl::game_playing::ComputerPlayer:
[legend]

## Public Member Functions
| ComputerPlayer ()
virtual | ~ComputerPlayer ()
virtual ComputerPlayer * | clone () const =0
| new したものを返す More...
virtual void | pushMove (Move m)=0
virtual void | popMove ()=0
virtual bool | isReasonableMove (const GameState &, Move move, int pawn_sacrifice)
virtual const MoveWithComment | selectBestMove (const GameState &, int seconds, int elapsed, int byoyomi)=0
virtual void | setInitialState (const NumEffectState &)
virtual void | allowSpeculativeSearch (bool value)
| 相手時間の探索を許可する (GameManager が操作) More...
virtual bool | stopSearchNow ()
| 探索をとめる More...
virtual void | setRootIgnoreMoves (const container::MoveVector *rim, bool prediction)

## Protected Attributes
bool | speculative_search_allowed

## Detailed Description

Definition at line 24 of file computerPlayer.h.

## Constructor & Destructor Documentation

osl::game_playing::ComputerPlayer::ComputerPlayer | ( | ) |  |
| inline

Definition at line 29 of file computerPlayer.h.

osl::game_playing::ComputerPlayer::~ComputerPlayer | ( | ) |  |
| virtual

Definition at line 11 of file computerPlayer.cc.

## Member Function Documentation

void osl::game_playing::ComputerPlayer::allowSpeculativeSearch | ( | bool | value) |  |
| virtual

相手時間の探索を許可する (GameManager が操作)

Reimplemented in osl::game_playing::BookPlayer.

Definition at line 22 of file computerPlayer.cc.

Referenced by osl::game_playing::BookPlayer::allowSpeculativeSearch().

virtual ComputerPlayer* osl::game_playing::ComputerPlayer::clone | ( | ) |  | const
| pure virtual

new したものを返す

Implemented in osl::game_playing::RandomPlayer, osl::game_playing::ResignPlayer, osl::game_playing::AlphaBeta4Player, osl::game_playing::AlphaBeta3OpenMidEndingEvalPlayer, osl::game_playing::AlphaBeta2OpenMidEndingEvalPlayer, osl::game_playing::SpeculativeSearchPlayer, osl::game_playing::BookPlayer, and osl::game_playing::AlphaBeta2ProgressEvalPlayer.

Referenced by osl::game_playing::SpeculativeAllMoves::SearchAllMoves::setUp().

bool osl::game_playing::ComputerPlayer::isReasonableMove | ( | const GameState & | ,
|  | Move | move,
|  | int | pawn_sacrifice
| ) |  |
| virtual

Returns
  success to stop

Reimplemented in osl::game_playing::AlphaBeta4Player, osl::game_playing::AlphaBeta3OpenMidEndingEvalPlayer, osl::game_playing::AlphaBeta2OpenMidEndingEvalPlayer, and osl::game_playing::AlphaBeta2ProgressEvalPlayer.

Definition at line 16 of file computerPlayer.cc.

virtual void osl::game_playing::ComputerPlayer::popMove | ( | ) |  |
| pure virtual

Implemented in osl::game_playing::SearchPlayer, osl::game_playing::RandomPlayer, osl::game_playing::ResignPlayer, osl::game_playing::BookPlayer, and osl::game_playing::SpeculativeSearchPlayer.

virtual void osl::game_playing::ComputerPlayer::pushMove | ( | Move | m) |  |
| pure virtual

Implemented in osl::game_playing::SearchPlayer, osl::game_playing::RandomPlayer, osl::game_playing::ResignPlayer, osl::game_playing::BookPlayer, and osl::game_playing::SpeculativeSearchPlayer.

virtual const MoveWithComment osl::game_playing::ComputerPlayer::selectBestMove | ( | const GameState & | ,
|  | int | seconds,
|  | int | elapsed,
|  | int | byoyomi
| ) |  |
| pure virtual

Parameters

  seconds | 残り持ち時間

Implemented in osl::game_playing::SearchPlayer, osl::game_playing::RandomPlayer, osl::game_playing::ResignPlayer, osl::game_playing::SpeculativeSearchPlayer, and osl::game_playing::BookPlayer.

void osl::game_playing::ComputerPlayer::setInitialState | ( | const NumEffectState & | ) |  |
| virtual

Reimplemented in osl::game_playing::BookPlayer.

Definition at line 28 of file computerPlayer.cc.

void osl::game_playing::ComputerPlayer::setRootIgnoreMoves | ( | const container::MoveVector * | rim,
|  | bool | prediction
| ) |  |
| virtual

Reimplemented in osl::game_playing::BookPlayer.

Definition at line 39 of file computerPlayer.cc.

Referenced by osl::game_playing::BookPlayer::setRootIgnoreMoves().

bool osl::game_playing::ComputerPlayer::stopSearchNow | ( | ) |  |
| virtual

探索をとめる

Reimplemented in osl::game_playing::SearchPlayer, osl::game_playing::BookPlayer, and osl::game_playing::SpeculativeSearchPlayer.

Definition at line 33 of file computerPlayer.cc.

## Member Data Documentation

bool osl::game_playing::ComputerPlayer::speculative_search_allowed
| protected

Definition at line 27 of file computerPlayer.h.

The documentation for this class was generated from the following files:

- computerPlayer.h
- computerPlayer.cc